Package com.collibra.dgc.core.api.dto.customization

# Class CustomizationBackup

Object
CustomizationBackup

All Implemented Interfaces:
  `Serializable`

public class CustomizationBackup extends Object implements Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `CustomizationBackup.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomizationBackup()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CustomizationBackup.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `InputStream`
  `getData()`
  The data of the customization backup.
  `String`
  `getFileName()`
  The filename of the customization archive.
  `int`
  `hashCode()`
  `void`
  `setData(InputStream data)`
  The data of the customization backup.
  `void`
  `setFileName(String fileName)`
  The filename of the customization archive.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CustomizationBackup

    public CustomizationBackup()

- ## Method Details

  - ### builder

    public static CustomizationBackup.Builder builder()

  - ### getFileName

    public String getFileName()
    The filename of the customization archive.

  - ### getData

    public InputStream getData()
    The data of the customization backup.

  - ### setFileName

    public void setFileName(String fileName)
    The filename of the customization archive.

  - ### setData

    public void setData(InputStream data)
    The data of the customization backup.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`